FreeMat

- Main Page
- Related Pages

vtkTriangularTCoords

Section: Visualization Toolkit Graphics Classes

# Usage

vtkTriangularTCoords is a filter that generates texture coordinates for triangles. Texture coordinates for each triangle are: (0,0), (1,0) and (.5,sqrt(3)/2). This filter assumes that the triangle texture map is symmetric about the center of the triangle. Thus the order Of the texture coordinates is not important. The procedural texture in vtkTriangularTexture is designed with this symmetry. For more information see the paper "Opacity-modulating Triangular Textures for Irregular Surfaces," by Penny Rheingans, IEEE Visualization '96, pp. 219-225.

To create an instance of class vtkTriangularTCoords, simply invoke its constructor as follows

      obj = vtkTriangularTCoords

# Methods

The class vtkTriangularTCoords has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTriangularTCoords class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTriangularTCoords = obj.NewInstance ()`
- `vtkTriangularTCoords = obj.SafeDownCast (vtkObject o)`